package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum EChangeType {
    /**
     * 0=复购考核新增
     */
    PURCHASE_ASSESSMENT_ADD(0, "复购考核新增", 0, EnumsPrefixConstants.CHANGE_TYPE + 0),
    /**
     * 1=复购考核扣除
     */
    PURCHASE_ASSESSMENT_DEDUCT(1, "复购考核扣除", 0, EnumsPrefixConstants.CHANGE_TYPE + 1),

    /**
     * 2=分红考核新增
     */
    SHARE_ASSESSMENT_ADD(2, "分红考核新增", 0, EnumsPrefixConstants.CHANGE_TYPE + 2),
    /**
     * 3=分红考核扣除
     */
    SHARE_ASSESSMENT_DEDUCT(3, "分红考核扣除", 0, EnumsPrefixConstants.CHANGE_TYPE + 3),
    /**
     * 4=优选考核新增
     */
    LENJOY_ASSESSMENT_ADD(4, "优选考核新增", 1, EnumsPrefixConstants.CHANGE_TYPE + 4),
    /**
     * 5=优选考核扣除
     */
    LENJOY_ASSESSMENT_DEDUCT(5, "优选考核扣除", 1, EnumsPrefixConstants.CHANGE_TYPE + 5),
    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

}
